Subject: Re: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Fri, 30 Jul 2021 16:02:41 +0200

On Fri, Jul 30, 2021 at 02:53:40PM +0100, Mark Brown wrote:
> Hi all,
> 
> After merging the staging tree, today's linux-next build (x86
> allmodconfig) failed like this:
> 
> /tmp/next/build/drivers/staging/r8188eu/core/rtw_ap.c:22:10: fatal error: osdep_service.h: No such file or directory
>  #include <osdep_service.h>
>           ^~~~~~~~~~~~~~~~~
> compilation terminated.
> make[4]: *** [/tmp/next/build/scripts/Makefile.build:271: drivers/staging/r8188eu/core/rtw_ap.o] Error 1
> make[4]: *** Waiting for unfinished jobs....
> /tmp/next/build/drivers/staging/r8188eu/core/rtw_br_ext.c:29:10: fatal error: drv_types.h: No such file or directory
>  #include <drv_types.h>
>           ^~~~~~~~~~~~~
> compilation terminated.
> 
> Caused by commit
> 
>   15865124feed880978b7 ("staging: r8188eu: introduce new core dir for RTL8188eu driver")
> 
> I've used the staging tree from yesterday instead.

Ah, are you building with O= ?  That might be the problem here, I think
I had to fix up that mess with the older driver in the past...

thanks,

greg k-h